package cn.com.ctop.kuaishou.modules.ai.service;

import com.alibaba.fastjson.JSONObject;
import com.github.pagehelper.PageInfo;

import java.util.List;
import java.util.Map;

public interface IAiKuaiShouReportAnalyzeService {

    List<JSONObject> getStrategyAndTarget(Long accountId);

    List<JSONObject> getStrategyAndMaterial(Long accountId);

    PageInfo<JSONObject> getTargetReportBy(JSONObject params);

    PageInfo<JSONObject> getMaterialReportBy(JSONObject params);

    Map<String,Object> getTargetChartBy(JSONObject params);

    Map<String,Object> getMaterialChartBy(JSONObject params);

}
